<?php
$params = [];
if(isset($sessionId) && $sessionId) {
    $params[] = $sessionId;
}
if(isset($tagId) && $tagId) {
    $params[] = $tagId;
}
if(isset($sessionDate) && $sessionDate) {
    $params[] = $sessionDate;
}
if(isset($offerId) && $offerId) {
    $params = [null, null, null];
    $params[] = $offerId;
}
?>
<div class="km_register_wrap ">
    <?php do_action('km_before_registerpage'); ?>
    <div class="register_row">
        <div class="km_50 social_login_wrap">
            <div class="km_facebook_wrap">
                <a href="<?php echo fieldday()->engine->getFacebookAuthUrl($params); ?>" id="km_facebook_login" class="km_button">
                    <i class="fa fa-facebook"></i><?php _e('Register with Facebook', 'fieldday'); ?>
                </a>
            </div>
            <div class="km_google_wrap">
                <a href="<?php echo fieldday()->engine->getGooglekAuthUrl($params); ?>" id="km_google_login" class="km_button">
                    <i class="fa fa-google-plus"></i><?php _e('Register with Google', 'fieldday'); ?>
                </a>
            </div>
            <hr class="login_page_divider"></hr>
            <div class="km_signup_wrap">
                <?php _e("Already have an account?", 'fieldday'); ?> <a href="<?php echo add_query_arg(['action' => 'km_login']); ?>" class="km_button_default km_signup_btn"><?php _e('Login Here!', 'fieldday'); ?></a>
            </div>
            <div class="km_ajax_signup_wrap km_hidden km_signup_wrap">
                <?php _e("Already have an account?", 'fieldday'); ?> <a href="#" <?php echo isset($Registerparams) ? $Registerparams : ''; ?> onclick="return fieldday.showLoginForm(this, event);" class="km_button_default km_signup_btn"><?php _e('Login Here!', 'fieldday'); ?></a>
            </div>
            <?php if(isset($sessionId) && $sessionId): ?>
                <?php $Registerparams = wp_sprintf("data-session-id='%s' data-tag-id='%s' data-session-date='%s'", $sessionId, $tagId, $sessionDate); ?>
                <div class="km_guest_login_wrap">
                    <h4><?php _e('Guest Checkout', 'fieldday'); ?></h4>
                    <p><?php _e('Proceed without account. Some discounts and coupons might not work.', 'fieldday'); ?></p>
                    <a href="JavaScript:void(0);" <?php $this->sessionRegister($sessionId, $tagId, $sessionDate, true); ?> id="guest-continue" class="km_button_default km_guest_login">
                        <?php _e('Continue as a Guest', 'fieldday'); ?>
                    </a>
                </div>
            <?php endif; ?>
            <?php if(isset($offerId) && $offerId): ?>
                <?php $Registerparams = wp_sprintf("data-offer-id='%s'", $offerId); ?>
                <input type="hidden" id="login_form_offerId" value="<?php echo $offerId; ?>">
                <div class="km_guest_login_wrap">
                    <h4><?php _e('Guest Checkout', 'fieldday'); ?></h4>
                    <p><?php _e('Proceed without account. Some discounts and coupons might not work.', 'fieldday'); ?></p>
                    <a href="JavaScript:void(0);" <?php $this->merchandiseRegister($offerId, true); ?> id="guest-continue" class="km_button_default km_guest_login">
                        <?php _e('Continue as a Guest', 'fieldday'); ?>
                    </a>
                </div>
            <?php endif; ?>
        </div>
        <div class="login_page_divider"><span><?php _e('OR', 'fieldday'); ?></span></div>
        <div class="km_50 email_login_wrap">
            <h4><?php _e('Sign Up Manually', 'fieldday'); ?></h4>
            <form id="km_register_form" class="km_register_form" action="#" method="post">
                <input type="hidden" name="action" value="km_register">
                <div class="km_col_12 km_field_wrap">
                    <label for="Fullname"><?php _e('Full Name', 'fieldday'); ?></label>
                    <i class="fa fa-user-circle km_user_icon" aria-hidden="true"></i>
                    <input type="text" class="km_input" name="user-register-name" placeholder="Full Name"  data-parsley-group="register" data-parsley-required-message="Required" required />
                </div>
                <div class="km_col_12 km_field_wrap">
                    <label for="email"><?php _e('Email', 'fieldday'); ?></label>
                    <i class="fa fa-envelope-o km_user_icon" aria-hidden="true"></i>
                    <input type="email" class="km_input" name="user-register-email" placeholder="Email Address" data-parsley-group="register" data-parsley-required-message="Required" data-parsley-type-message="Invalid Email" required />
                </div>
                <div class="km_col_12 km_field_wrap">
                    <label for="password"><?php _e('Password', 'fieldday'); ?></label>
                    <i class="fa fa-unlock-alt km_user_icon" aria-hidden="true"></i>
                    <input type="password" class="km_input" name="user-register-password" placeholder="******" data-parsley-minlength="6" data-parsley-minlength-message = "Too Short (Min 6)" data-parsley-group="register" data-parsley-required-message="Required" required />
                     <i class="fa fa-eye-slash km_password_icon" id="togglePassword"></i>
                </div>
                <div class="km_col_12 km_field_wrap km_phone_input">
                    <fieldset>
                        <label for="phone_no"><?php _e('Phone No', 'fieldday'); ?></label>
                        <input type="hidden" name="user-country-code" class="country_code user_country_code" value="1">
                        <input type="hidden" name="user-phone-number" class="phone_number" value="<?php $this->getValue('phone', $KmUser); ?>">
                        <input type="tel" class="km_phone_field km_input" id="user_phone" placeholder="Phone Number" data-parsley-required-message="Required" data-parsley-type-message="Only Numbers" data-parsley-group="register" required />
                    </fieldset>
                </div>
                <div class="km_col_12 km_field_wrap">
                    <fieldset>
                        <?php fieldday()->engine->googleRecaptcha(); ?>
                    </fieldset>
                </div>
                <div  class="km_col_12 km_field_wrap km_btn_wrap">
                    <a href="#" onclick="return fieldday.register(this, event);" id="signup-submit" class="km_button"><?php _e("Sign Up", 'fieldday'); ?></a>
                </div>
                <div class="accept-privacy"><?php _e("By continuing, you accept the Terms of Use and Privacy Policy", 'fieldday'); ?></div>
            </form><!-- end user-access-form -->
        </div>
    </div>


</div>
