<?php
$sessionDateFromFilter = date('n', strtotime($session->dateTimestamp->from));
$sessionDateToFilter = date('n', strtotime($session->dateTimestamp->to));
?>
<div data-time-stamp-from="<?php echo $session->dateTimestamp->from; ?>" data-time-stamp-to="<?php echo $session->dateTimestamp->to; ?>"  data-month-from="<?php echo $sessionDateFromFilter; ?>" data-month-to="<?php echo $sessionDateToFilter; ?>" data-age-from="<?php echo $session->activityId->ageRange->from; ?>" data-age-to="<?php echo $session->activityId->ageRange->to; ?>" id="single_session_<?php echo $session->activityId->_id ?>" class="km_session_detail km_session_single_item">
    <!-- over view -->
    <section class="km_overview">
        <div class="km_row">
            <div class="km_col_5">
                <div class="km_rokuimg">
                    <?php $this->displaySessionThumb($session, true); ?>
                </div>
            </div>
            <div class="km_col_3">
                <div class="km_demovendo km_session_booking_type">
                    <div class="km_sess_date">
                        <b class="km_sess_head"><?php _e("Session Date", 'fieldday'); ?></b>
                        <div class="time km_session_month"></div>
                        <span class="year km_session_year"></span>
                    </div>
                    <div class="km_sess_date">
                        <b class="km_sess_head"><?php _e("Session Time", "fieldday"); ?></b>
                        <div class="time km_sess_time"></div>
                        <div class="km_session_days_wrap">
                            <?php $this->sessionDays($session); ?>
                        </div>
                    </div>   
                    
                </div>
            </div>
            <div class="km_col_4">
                <div class="km_demovendo">
                    <div>
                        <b class="km_sess_head"><?php _e("Rating"); ?></b>
                        <?php $this->sessionRating($session); ?>
                    </div>
                    <div class="km_detail_bookings">
                        <b class="km_sess_head"><?php _e('Bookings Available', "fieldday"); ?></b>
                        <?php print $this->sessionBookingTypes($session, $tags, false); ?>
                        <small><?php _e("*Click Above To Purchase", "fieldday"); ?></small>
                    </div>
                    
                </div>
            </div>
        </div>
        <!-- Activity Overview -->
        <?php 
        if($this->getValue('description', $session, false)) {
            $title = __("About This Session", 'fieldday');
            $description = $this->getValue('description', $session, false);
        }else {
            $title = __("Activity Overview", 'fieldday');
            $description = $session->activityId->overview;
        }
        ?>
        <div class="km_row km_topspace">
            <div class="km_review">
                <span><?php print $title; ?></span>
            </div>
        </div>
        <div class="km_row km_topspace">
            <div class="km_col_12">
                <div class="km_activity_overview">
                    <p><?php echo $description; ?></p>
                </div>
            </div>
        </div>
        <!-- Activity Overview ////////////////// -->
    </section>
    <!-- over view -->
    
    <!-- bringing needs -->
    <section class="km_bringing_needs">
        <div class="km_row km_topspace">
            <div class="km_review">
                <span><?php _e("Bringing Needs", "fieldday"); ?></span>
            </div>
        </div>
        <div class="km_row km_topspace">
            <div class="km_col_12">
                <div class="km_activity_overview">
                    <?php if(isset($session->activityId->bringingNeedsArr)): ?>
                        <?php foreach ($session->activityId->bringingNeedsArr as $key => $bringingNeeds): ?>
                            <span class="km_bringing_need_item" id="<?php echo $bringingNeeds->_id; ?>"><?php echo $bringingNeeds->title; ?></span>
                        <?php endforeach; ?>
                    <?php else: ?>
                            <p><?php echo $session->activityId->bringingNeeds; ?></p>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </section>
    <!-- bringing needs -->
    
    <!-- Typical Day at Camp -->
    <section class="km_typical_days">
        <div class="km_row km_topspace">
            <div class="km_review">
                <span><?php _e("Typical Day At Camp", "fieldday"); ?></span>
            </div>
        </div>
        <div class="km_row km_topspace">
            <div class="km_col_12">
                <div class="km_typical_day">
                    <?php if(isset($session->activityId->dailyRoutineArr)): ?>
                        <?php foreach ($session->activityId->dailyRoutineArr as $key => $dailyRoutine): ?>
                            <div class="km_typical_day_wrap">
                                <span class="km_daily_route_item" id="<?php echo $dailyRoutine->_id; ?>">
                                    <?php echo $dailyRoutine->title; ?>
                                    <small>(<?php echo $dailyRoutine->start; ?> - <?php echo $dailyRoutine->end; ?>)</small>
                                </span>
                                
                            </div>
                        <?php endforeach; ?>
                    <?php else: ?>
                            <p><?php echo $session->activityId->dailyRoutine; ?></p>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </section>
    <!-- Typical Day at Camp -->
    <!--  Extended care options -->
    <?php $extendedCareOptions = $this->ExtendedCareOptions($session); ?>
    <?php if($extendedCareOptions): ?>
        <section class="km_extendedcare_options">
            <div class="km_row km_topspace">
                <div class="km_review">
                    <span><?php _e("Extended Care Options", "fieldday"); ?></span>
                </div>
            </div>
            <div class="km_row km_topspace">
                <div class="km_col_12">
                    <div class="km_typical_day">
                        <?php print $extendedCareOptions ?>
                    </div>
                </div>
            </div>
        </section>
    <?php endif; ?>
    <!--  Extended care options -->
    
    <!--  other  options -->
    <?php $sessionOtherOptions = $this->sessionOtherOptions($session); ?>
    <?php if($sessionOtherOptions): ?>
    <section class="km_extendedcare_options">
        <div class="km_row km_topspace">
            <div class="km_review">
                <span><?php _e("Other Options", "fieldday"); ?></span>
            </div>
        </div>
        <div class="km_row km_topspace">
            <div class="km_col_12">
                <div class="km_typical_day">
                    <?php print $sessionOtherOptions; ?>
                </div>
            </div>
        </div>
    </section>
    <?php endif; ?>
    <!--  other options -->
    
    <!-- Pick-up/Drop Off Location -->
    <section class="km_pickup_location">
        <div class="km_row km_topspace">
            <div class="km_review">
                <span><?php _e("Pick-up & Drop Off Location", "fieldday"); ?></span>
            </div>
        </div>
        <div class="km_row km_topspace">
            <div class="km_col_12">
                <div class="km_activity_overview">
                    <?php 
                    print $address = $this->getSiteLocation($session); 
                    $address2 = urlencode($address);
                    //$iframeUrl = 'https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3237.0247377133505!2d-78.87916838514383!3d35.77476868017267!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89aced1c0a4d397f:0x97cbd70ff7feb310!2s'.$address2.'!5e0!3m2!1sen!2sin!4v1586342152817!5m2!1sen!2sin'; 
                    ?>
                </div>
                <div class="km_map">
                    <!--<iframe src="<?php //echo $iframeUrl; ?>" width="100%" height="400" frameborder="0" style="border:0;" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>-->
                </div>
            </div>
        </div>
    </section>
    <!-- Pick-up/Drop Off Location -->
    
    <!-- session review -->
    <section class="km_session_reviews">
        <div class="km_row km_topspace">
            <div class="km_review">
                <span><?php _e("Reviews", 'fieldday'); ?></span>
            </div>
        </div>
        <div id="km_session_reviews" class="km_row km_topspace">
            <?php echo $this->displaysessionReviews($session); ?>
        </div>
    </section>
    <!-- session review -->
</div>

<style type="text/css">
    .km_modal_content {padding: 20px 0;}
</style>